unit schFormasPagoServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schFormasPagoClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_ListaFormasPagoDelta = '{5FB02CCF-2885-4955-A77B-2B126B0017AD}';
  RID_FormasPagoDelta = '{D4F7F328-908C-4366-8083-E4C04F8E9C8B}';
  RID_FormasPagoPlazosDelta = '{3A182922-EB6C-40D6-BDFC-0A8BE0FE97C6}';

type
  { IListaFormasPagoDelta }
  IListaFormasPagoDelta = interface(IListaFormasPago)
  ['{5FB02CCF-2885-4955-A77B-2B126B0017AD}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldDESCRIPCIONValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
  end;

  { TListaFormasPagoBusinessProcessorRules }
  TListaFormasPagoBusinessProcessorRules = class(TDABusinessProcessorRules, IListaFormasPago, IListaFormasPagoDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFormasPagoDelta }
  IFormasPagoDelta = interface(IFormasPago)
  ['{D4F7F328-908C-4366-8083-E4C04F8E9C8B}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldTITULARValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldID_SUBCUENTAValue : Integer;
    function GetOldIGNORAR_CONTABILIDADValue : SmallInt;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldTITULAR : String read GetOldTITULARValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldID_SUBCUENTA : Integer read GetOldID_SUBCUENTAValue;
    property OldIGNORAR_CONTABILIDAD : SmallInt read GetOldIGNORAR_CONTABILIDADValue;
  end;

  { TFormasPagoBusinessProcessorRules }
  TFormasPagoBusinessProcessorRules = class(TDABusinessProcessorRules, IFormasPago, IFormasPagoDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetTITULARValue: String; virtual;
    function GetTITULARIsNull: Boolean; virtual;
    function GetOldTITULARValue: String; virtual;
    function GetOldTITULARIsNull: Boolean; virtual;
    procedure SetTITULARValue(const aValue: String); virtual;
    procedure SetTITULARIsNull(const aValue: Boolean); virtual;
    function GetENTIDADValue: String; virtual;
    function GetENTIDADIsNull: Boolean; virtual;
    function GetOldENTIDADValue: String; virtual;
    function GetOldENTIDADIsNull: Boolean; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    procedure SetENTIDADIsNull(const aValue: Boolean); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetSUCURSALIsNull: Boolean; virtual;
    function GetOldSUCURSALValue: String; virtual;
    function GetOldSUCURSALIsNull: Boolean; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    procedure SetSUCURSALIsNull(const aValue: Boolean); virtual;
    function GetDCValue: String; virtual;
    function GetDCIsNull: Boolean; virtual;
    function GetOldDCValue: String; virtual;
    function GetOldDCIsNull: Boolean; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    procedure SetDCIsNull(const aValue: Boolean); virtual;
    function GetCUENTAValue: String; virtual;
    function GetCUENTAIsNull: Boolean; virtual;
    function GetOldCUENTAValue: String; virtual;
    function GetOldCUENTAIsNull: Boolean; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    procedure SetCUENTAIsNull(const aValue: Boolean); virtual;
    function GetID_SUBCUENTAValue: Integer; virtual;
    function GetID_SUBCUENTAIsNull: Boolean; virtual;
    function GetOldID_SUBCUENTAValue: Integer; virtual;
    function GetOldID_SUBCUENTAIsNull: Boolean; virtual;
    procedure SetID_SUBCUENTAValue(const aValue: Integer); virtual;
    procedure SetID_SUBCUENTAIsNull(const aValue: Boolean); virtual;
    function GetIGNORAR_CONTABILIDADValue: SmallInt; virtual;
    function GetIGNORAR_CONTABILIDADIsNull: Boolean; virtual;
    function GetOldIGNORAR_CONTABILIDADValue: SmallInt; virtual;
    function GetOldIGNORAR_CONTABILIDADIsNull: Boolean; virtual;
    procedure SetIGNORAR_CONTABILIDADValue(const aValue: SmallInt); virtual;
    procedure SetIGNORAR_CONTABILIDADIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property TITULAR : String read GetTITULARValue write SetTITULARValue;
    property TITULARIsNull : Boolean read GetTITULARIsNull write SetTITULARIsNull;
    property OldTITULAR : String read GetOldTITULARValue;
    property OldTITULARIsNull : Boolean read GetOldTITULARIsNull;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull : Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldENTIDADIsNull : Boolean read GetOldENTIDADIsNull;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull : Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldSUCURSALIsNull : Boolean read GetOldSUCURSALIsNull;
    property DC : String read GetDCValue write SetDCValue;
    property DCIsNull : Boolean read GetDCIsNull write SetDCIsNull;
    property OldDC : String read GetOldDCValue;
    property OldDCIsNull : Boolean read GetOldDCIsNull;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull : Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldCUENTAIsNull : Boolean read GetOldCUENTAIsNull;
    property ID_SUBCUENTA : Integer read GetID_SUBCUENTAValue write SetID_SUBCUENTAValue;
    property ID_SUBCUENTAIsNull : Boolean read GetID_SUBCUENTAIsNull write SetID_SUBCUENTAIsNull;
    property OldID_SUBCUENTA : Integer read GetOldID_SUBCUENTAValue;
    property OldID_SUBCUENTAIsNull : Boolean read GetOldID_SUBCUENTAIsNull;
    property IGNORAR_CONTABILIDAD : SmallInt read GetIGNORAR_CONTABILIDADValue write SetIGNORAR_CONTABILIDADValue;
    property IGNORAR_CONTABILIDADIsNull : Boolean read GetIGNORAR_CONTABILIDADIsNull write SetIGNORAR_CONTABILIDADIsNull;
    property OldIGNORAR_CONTABILIDAD : SmallInt read GetOldIGNORAR_CONTABILIDADValue;
    property OldIGNORAR_CONTABILIDADIsNull : Boolean read GetOldIGNORAR_CONTABILIDADIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFormasPagoPlazosDelta }
  IFormasPagoPlazosDelta = interface(IFormasPagoPlazos)
  ['{3A182922-EB6C-40D6-BDFC-0A8BE0FE97C6}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_FORMA_PAGOValue : Integer;
    function GetOldNUM_DIASValue : SmallInt;
    function GetOldPORCENTAJEValue : Float;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_FORMA_PAGO : Integer read GetOldID_FORMA_PAGOValue;
    property OldNUM_DIAS : SmallInt read GetOldNUM_DIASValue;
    property OldPORCENTAJE : Float read GetOldPORCENTAJEValue;
  end;

  { TFormasPagoPlazosBusinessProcessorRules }
  TFormasPagoPlazosBusinessProcessorRules = class(TDABusinessProcessorRules, IFormasPagoPlazos, IFormasPagoPlazosDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_FORMA_PAGOValue: Integer; virtual;
    function GetID_FORMA_PAGOIsNull: Boolean; virtual;
    function GetOldID_FORMA_PAGOValue: Integer; virtual;
    function GetOldID_FORMA_PAGOIsNull: Boolean; virtual;
    procedure SetID_FORMA_PAGOValue(const aValue: Integer); virtual;
    procedure SetID_FORMA_PAGOIsNull(const aValue: Boolean); virtual;
    function GetNUM_DIASValue: SmallInt; virtual;
    function GetNUM_DIASIsNull: Boolean; virtual;
    function GetOldNUM_DIASValue: SmallInt; virtual;
    function GetOldNUM_DIASIsNull: Boolean; virtual;
    procedure SetNUM_DIASValue(const aValue: SmallInt); virtual;
    procedure SetNUM_DIASIsNull(const aValue: Boolean); virtual;
    function GetPORCENTAJEValue: Float; virtual;
    function GetPORCENTAJEIsNull: Boolean; virtual;
    function GetOldPORCENTAJEValue: Float; virtual;
    function GetOldPORCENTAJEIsNull: Boolean; virtual;
    procedure SetPORCENTAJEValue(const aValue: Float); virtual;
    procedure SetPORCENTAJEIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_FORMA_PAGO : Integer read GetID_FORMA_PAGOValue write SetID_FORMA_PAGOValue;
    property ID_FORMA_PAGOIsNull : Boolean read GetID_FORMA_PAGOIsNull write SetID_FORMA_PAGOIsNull;
    property OldID_FORMA_PAGO : Integer read GetOldID_FORMA_PAGOValue;
    property OldID_FORMA_PAGOIsNull : Boolean read GetOldID_FORMA_PAGOIsNull;
    property NUM_DIAS : SmallInt read GetNUM_DIASValue write SetNUM_DIASValue;
    property NUM_DIASIsNull : Boolean read GetNUM_DIASIsNull write SetNUM_DIASIsNull;
    property OldNUM_DIAS : SmallInt read GetOldNUM_DIASValue;
    property OldNUM_DIASIsNull : Boolean read GetOldNUM_DIASIsNull;
    property PORCENTAJE : Float read GetPORCENTAJEValue write SetPORCENTAJEValue;
    property PORCENTAJEIsNull : Boolean read GetPORCENTAJEIsNull write SetPORCENTAJEIsNull;
    property OldPORCENTAJE : Float read GetOldPORCENTAJEValue;
    property OldPORCENTAJEIsNull : Boolean read GetOldPORCENTAJEIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TListaFormasPagoBusinessProcessorRules }
constructor TListaFormasPagoBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TListaFormasPagoBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TListaFormasPagoBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoID];
end;

function TListaFormasPagoBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoID]);
end;

function TListaFormasPagoBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ListaFormasPagoID];
end;

function TListaFormasPagoBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ListaFormasPagoID]);
end;

procedure TListaFormasPagoBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoID] := aValue;
end;

procedure TListaFormasPagoBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoID] := Null;
end;

function TListaFormasPagoBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoDESCRIPCION];
end;

function TListaFormasPagoBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoDESCRIPCION]);
end;

function TListaFormasPagoBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ListaFormasPagoDESCRIPCION];
end;

function TListaFormasPagoBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ListaFormasPagoDESCRIPCION]);
end;

procedure TListaFormasPagoBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoDESCRIPCION] := aValue;
end;

procedure TListaFormasPagoBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ListaFormasPagoDESCRIPCION] := Null;
end;


{ TFormasPagoBusinessProcessorRules }
constructor TFormasPagoBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFormasPagoBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFormasPagoBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID];
end;

function TFormasPagoBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID]);
end;

function TFormasPagoBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoID];
end;

function TFormasPagoBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoID]);
end;

procedure TFormasPagoBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoREFERENCIA];
end;

function TFormasPagoBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoREFERENCIA]);
end;

function TFormasPagoBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoREFERENCIA];
end;

function TFormasPagoBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoREFERENCIA]);
end;

procedure TFormasPagoBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoREFERENCIA] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoREFERENCIA] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDESCRIPCION];
end;

function TFormasPagoBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDESCRIPCION]);
end;

function TFormasPagoBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoDESCRIPCION];
end;

function TFormasPagoBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoDESCRIPCION]);
end;

procedure TFormasPagoBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDESCRIPCION] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDESCRIPCION] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetTITULARValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoTITULAR];
end;

function TFormasPagoBusinessProcessorRules.GetTITULARIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoTITULAR]);
end;

function TFormasPagoBusinessProcessorRules.GetOldTITULARValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoTITULAR];
end;

function TFormasPagoBusinessProcessorRules.GetOldTITULARIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoTITULAR]);
end;

procedure TFormasPagoBusinessProcessorRules.SetTITULARValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoTITULAR] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetTITULARIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoTITULAR] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoENTIDAD];
end;

function TFormasPagoBusinessProcessorRules.GetENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoENTIDAD]);
end;

function TFormasPagoBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoENTIDAD];
end;

function TFormasPagoBusinessProcessorRules.GetOldENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoENTIDAD]);
end;

procedure TFormasPagoBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoENTIDAD] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetENTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoENTIDAD] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoSUCURSAL];
end;

function TFormasPagoBusinessProcessorRules.GetSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoSUCURSAL]);
end;

function TFormasPagoBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoSUCURSAL];
end;

function TFormasPagoBusinessProcessorRules.GetOldSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoSUCURSAL]);
end;

procedure TFormasPagoBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoSUCURSAL] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetSUCURSALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoSUCURSAL] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDC];
end;

function TFormasPagoBusinessProcessorRules.GetDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDC]);
end;

function TFormasPagoBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoDC];
end;

function TFormasPagoBusinessProcessorRules.GetOldDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoDC]);
end;

procedure TFormasPagoBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDC] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetDCIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoDC] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoCUENTA];
end;

function TFormasPagoBusinessProcessorRules.GetCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoCUENTA]);
end;

function TFormasPagoBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoCUENTA];
end;

function TFormasPagoBusinessProcessorRules.GetOldCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoCUENTA]);
end;

procedure TFormasPagoBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoCUENTA] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoCUENTA] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetID_SUBCUENTAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID_SUBCUENTA];
end;

function TFormasPagoBusinessProcessorRules.GetID_SUBCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID_SUBCUENTA]);
end;

function TFormasPagoBusinessProcessorRules.GetOldID_SUBCUENTAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoID_SUBCUENTA];
end;

function TFormasPagoBusinessProcessorRules.GetOldID_SUBCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoID_SUBCUENTA]);
end;

procedure TFormasPagoBusinessProcessorRules.SetID_SUBCUENTAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID_SUBCUENTA] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetID_SUBCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoID_SUBCUENTA] := Null;
end;

function TFormasPagoBusinessProcessorRules.GetIGNORAR_CONTABILIDADValue: SmallInt;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD];
end;

function TFormasPagoBusinessProcessorRules.GetIGNORAR_CONTABILIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD]);
end;

function TFormasPagoBusinessProcessorRules.GetOldIGNORAR_CONTABILIDADValue: SmallInt;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD];
end;

function TFormasPagoBusinessProcessorRules.GetOldIGNORAR_CONTABILIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD]);
end;

procedure TFormasPagoBusinessProcessorRules.SetIGNORAR_CONTABILIDADValue(const aValue: SmallInt);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD] := aValue;
end;

procedure TFormasPagoBusinessProcessorRules.SetIGNORAR_CONTABILIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoIGNORAR_CONTABILIDAD] := Null;
end;


{ TFormasPagoPlazosBusinessProcessorRules }
constructor TFormasPagoPlazosBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFormasPagoPlazosBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFormasPagoPlazosBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID]);
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosID];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosID]);
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID] := aValue;
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID] := Null;
end;

function TFormasPagoPlazosBusinessProcessorRules.GetID_FORMA_PAGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID_FORMA_PAGO];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetID_FORMA_PAGOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID_FORMA_PAGO]);
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldID_FORMA_PAGOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosID_FORMA_PAGO];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldID_FORMA_PAGOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosID_FORMA_PAGO]);
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetID_FORMA_PAGOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID_FORMA_PAGO] := aValue;
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetID_FORMA_PAGOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosID_FORMA_PAGO] := Null;
end;

function TFormasPagoPlazosBusinessProcessorRules.GetNUM_DIASValue: SmallInt;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosNUM_DIAS];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetNUM_DIASIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosNUM_DIAS]);
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldNUM_DIASValue: SmallInt;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosNUM_DIAS];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldNUM_DIASIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosNUM_DIAS]);
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetNUM_DIASValue(const aValue: SmallInt);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosNUM_DIAS] := aValue;
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetNUM_DIASIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosNUM_DIAS] := Null;
end;

function TFormasPagoPlazosBusinessProcessorRules.GetPORCENTAJEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosPORCENTAJE];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetPORCENTAJEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosPORCENTAJE]);
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldPORCENTAJEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosPORCENTAJE];
end;

function TFormasPagoPlazosBusinessProcessorRules.GetOldPORCENTAJEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FormasPagoPlazosPORCENTAJE]);
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetPORCENTAJEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosPORCENTAJE] := aValue;
end;

procedure TFormasPagoPlazosBusinessProcessorRules.SetPORCENTAJEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FormasPagoPlazosPORCENTAJE] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_ListaFormasPagoDelta, TListaFormasPagoBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FormasPagoDelta, TFormasPagoBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FormasPagoPlazosDelta, TFormasPagoPlazosBusinessProcessorRules);

end.
